summaryrefslogtreecommitdiffstats
path: root/installer
diff options
context:
space:
mode:
authorramon <ramongomez@us.es>2015-01-09 09:56:45 +0000
committerramon <ramongomez@us.es>2015-01-09 09:56:45 +0000
commit5715a1473a65c231efaf16c698d7cf81776ae132 (patch)
treee70aa4d73d4e9a142cd193ca978f9432bc74a7ae /installer
parent19acd9ba2fe9f66dd37fc25aa667b062ac5d6a18 (diff)
#673: Instalador adaptado a nuevas versiones de Syslinux, evitando mostrar error de fichero inexistente en la comprobaciĆ³n del funcionamiento del servicio TFTP.
git-svn-id: https://opengnsys.es/svn/branches/version1.0@4466 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'installer')
-rwxr-xr-xinstaller/opengnsys_installer.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/installer/opengnsys_installer.sh b/installer/opengnsys_installer.sh
index 7b13ae67..785e0276 100755
--- a/installer/opengnsys_installer.sh
+++ b/installer/opengnsys_installer.sh
@@ -900,7 +900,8 @@ function testPxe ()
{
echoAndLog "${FUNCNAME}(): Checking TFTP service... please wait."
pushd /tmp
- tftp -v 127.0.0.1 -c get pxelinux.0 /tmp/pxelinux.0 && echoAndLog "TFTP service is OK." || errorAndLog "TFTP service is down."
+ tftp -v 127.0.0.1 -c get pxelinux.cfg/default /tmp/pxelinux.cfg && echoAndLog "TFTP service is OK." || errorAndLog "TFTP service is down."
+ rm -f /tmp/pxelinux.cfg
popd
}